> For the complete documentation index, see [llms.txt](https://docs.sportradar.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sportradar.com/soccer-media/stream-endpoints-websocket/live-match-statistics.md).

# Live Match Statistics

This endpoint is a live match websocket endpoint that returns the full set up of player & team statistics.

The authentication token provided will be required to make a connection to this websocket endpoint.

Once you have the API token, any further data that you send over the connection will be ignored.

N.B – This endpoint sends heartbeats in-between data packets to let you know that it is still connected.

This endpoint currently takes no request parameters

## Endpoint URL

Legacy - wss\://dde-streams.data.imgarena.com/media/soccer/fixtures/{fixtureId}/statistics (Decommissioning on 30th Sept 2026)

**NEW -** wss\://dde-streams.data.srarena.io/media/soccer/fixtures/{fixtureId}/statistics

## Polling limits

IMG Arena monitor the incoming traffic from our customers and strive to ensure that traffic is controlled, in-keeping with our guidelines and not unnecessarily excessive. We would suggest a polling rate of 5 requests per second, whilst we strive towards implementing rate limiting.

## Request Parameters

There are 2 optional params, that are in common with these Websocket endpoints:<br>

* “speed” - this can be “fast” or “normal”. Default is normal and only applicable for offline matches
* “startPosition” : integer value, default is 0. This is how many events to skip from the beginning of the list of events. e.g. 5 would be start sending events from the 5th event received for that websocket. This is a useful feature if you want to continue without getting all the events again from the beginning when you reconnect

## **Full list of statistics**

See [Soccer/Statistics](/soccer/statistics.md).


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.sportradar.com/soccer-media/stream-endpoints-websocket/live-match-statistics.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
